com.dlsc.flexgantt.swing.layer.timeline

## Enum TimelineObjectSelectionEvent.ID

- java.lang.Object
- - java.lang.Enum<TimelineObjectSelectionEvent.ID>
  - - com.dlsc.flexgantt.swing.layer.timeline.TimelineObjectSelectionEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<TimelineObjectSelectionEvent.ID>
  Enclosing class:
    TimelineObjectSelectionEvent

      public static enum TimelineObjectSelectionEvent.ID
      extends Enum<TimelineObjectSelectionEvent.ID>

  An event identifier used for distinguishing between different types of events (added objects, removed objects).
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TIMELINE_OBJECTS_ADDED` An ID used when timeline objects have been added to the selection model.
    `TIMELINE_OBJECTS_REMOVED` An ID used when timeline objects have been removed from the selection model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimelineObjectSelectionEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimelineObjectSelectionEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMELINE_OBJECTS_ADDED

          public static final TimelineObjectSelectionEvent.ID TIMELINE_OBJECTS_ADDED

      An ID used when timeline objects have been added to the selection model.
      Since:
        1.0

    - #### TIMELINE_OBJECTS_REMOVED

          public static final TimelineObjectSelectionEvent.ID TIMELINE_OBJECTS_REMOVED

      An ID used when timeline objects have been removed from the selection model.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static TimelineObjectSelectionEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimelineObjectSelectionEvent.ID c : TimelineObjectSelectionEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimelineObjectSelectionEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.